QuantLib: TsiveriotisFernandesLattice< T > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | Protected Member Functions | List of all members
TsiveriotisFernandesLattice< T > Class Template Reference
Lattice methods

Binomial lattice approximating the Tsiveriotis-Fernandes model. More...

`#include <ql/experimental/convertiblebonds/tflattice.hpp>`

Inheritance diagram for TsiveriotisFernandesLattice< T >:
[legend]

## Public Member Functions
| TsiveriotisFernandesLattice (const boost::shared_ptr< T > &tree, Rate riskFreeRate, Time end, Size steps, Spread creditSpread, Volatility volatility, Spread divYield)
Spread | creditSpread () const
Public Member Functions inherited from BlackScholesLattice< T >
| BlackScholesLattice (const boost::shared_ptr< T > &tree, Rate riskFreeRate, Time end, Size steps)
Rate | riskFreeRate () const
Time | dt () const
Size | size (Size i) const
DiscountFactor | discount (Size, Size) const
void | stepback (Size i, const Array &values, Array &newValues) const
Real | underlying (Size i, Size index) const
Size | descendant (Size i, Size index, Size branch) const
Real | probability (Size i, Size index, Size branch) const
Public Member Functions inherited from TreeLattice1D< BlackScholesLattice< T > >
| TreeLattice1D (const TimeGrid &timeGrid, Size n)
Disposable< Array > | grid (Time t) const
Real | underlying (Size i, Size index) const
Public Member Functions inherited from TreeLattice< BlackScholesLattice< T > >
| TreeLattice (const TimeGrid &timeGrid, Size n)
const Array & | statePrices (Size i) const
void | stepback (Size i, const Array &values, Array &newValues) const
void | initialize (DiscretizedAsset &, Time t) const
| initialize an asset at the given time.
void | rollback (DiscretizedAsset &, Time to) const
void | partialRollback (DiscretizedAsset &, Time to) const
Real | presentValue (DiscretizedAsset &) const
| Computes the present value of an asset using Arrow-Debrew prices.
Public Member Functions inherited from Lattice
| Lattice (const TimeGrid &timeGrid)
const TimeGrid & | timeGrid () const

## Protected Member Functions
void | stepback (Size i, const Array &values, const Array &conversionProbability, const Array &spreadAdjustedRate, Array &newValues, Array &newConversionProbability, Array &newSpreadAdjustedRate) const
void | rollback (DiscretizedAsset &, Time to) const
void | partialRollback (DiscretizedAsset &, Time to) const
Protected Member Functions inherited from TreeLattice< BlackScholesLattice< T > >
void | computeStatePrices (Size until) const
Protected Member Functions inherited from CuriouslyRecurringTemplate< BlackScholesLattice< T > >
BlackScholesLattice< T > & | impl ()
const BlackScholesLattice< T > & | impl () const

## Additional Inherited Members
Protected Attributes inherited from BlackScholesLattice< T >
boost::shared_ptr< T > | tree_
Rate | riskFreeRate_
Time | dt_
DiscountFactor | discount_
Real | pd_
Real | pu_
Protected Attributes inherited from TreeLattice< BlackScholesLattice< T > >
std::vector< Array > | statePrices_
Protected Attributes inherited from Lattice
TimeGrid | t_

## Detailed Description

### template<class T>
class QuantLib::TsiveriotisFernandesLattice< T >

Binomial lattice approximating the Tsiveriotis-Fernandes model.

## Member Function Documentation

## ◆ rollback()

void rollback | ( | DiscretizedAsset & | ,
|  | Time | to
| ) |  | const
| protectedvirtual

Roll back an asset until the given time, performing any needed adjustment.

Implements Lattice.

## ◆ partialRollback()

void partialRollback | ( | DiscretizedAsset & | ,
|  | Time | to
| ) |  | const
| protectedvirtual

Roll back an asset until the given time, but do not perform the final adjustment.

Warning:
  In version 0.3.7 and earlier, this method was called rollAlmostBack method and performed pre-adjustment. This is no longer true; when migrating your code, you'll have to replace calls such as:

method->rollAlmostBack(asset,t);

with the two statements:

method->partialRollback(asset,t);
asset->preAdjustValues();

Implements Lattice.